be.fgov.ehealth.standards.kmehr.cd.v1

## Class CDREVCOMPONENT

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.cd.v1.CDREVCOMPONENT

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-29T11:41:36+02:00",
                 comments="JAXB RI v2.3.7")
      public class CDREVCOMPONENT
      extends Object
      implements Serializable

  Java class for CD-REV-COMPONENT complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CD-REV-COMPONENT">
         <simpleContent>
           <extension base="<http://www.ehealth.fgov.be/standards/kmehr/cd/v1>CD-REV-COMPONENTvalues">
             <attribute name="S" use="required" type="{http://www.w3.org/2001/XMLSchema}string" fixed="CD-REV-COMPONENT" />
             <attribute name="SV" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="SL" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="DN" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="L" type="{http://www.w3.org/2001/XMLSchema}language" default="en" />
           </extension>
         </simpleContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDREVCOMPONENT()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDN()` Gets the value of the dn property.
    `String` | `getL()` Gets the value of the l property.
    `String` | `getS()` Gets the value of the s property.
    `String` | `getSL()` Gets the value of the sl property.
    `String` | `getSV()` Gets the value of the sv property.
    `CDREVCOMPONENTvalues` | `getValue()` Gets the value of the value property.
    `void` | `setDN(String value)` Sets the value of the dn property.
    `void` | `setL(String value)` Sets the value of the l property.
    `void` | `setS(String value)` Sets the value of the s property.
    `void` | `setSL(String value)` Sets the value of the sl property.
    `void` | `setSV(String value)` Sets the value of the sv property.
    `void` | `setValue(CDREVCOMPONENTvalues value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDREVCOMPONENT

          public CDREVCOMPONENT()

  - ### Method Detail

    - #### getValue

          public CDREVCOMPONENTvalues getValue()

      Gets the value of the value property.
      Returns:
        possible object is `CDREVCOMPONENTvalues`

    - #### setValue

          public void setValue(CDREVCOMPONENTvalues value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `CDREVCOMPONENTvalues`

    - #### getS

          public String getS()

      Gets the value of the s property.
      Returns:
        possible object is `String`

    - #### setS

          public void setS(String value)

      Sets the value of the s property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSV

          public String getSV()

      Gets the value of the sv property.
      Returns:
        possible object is `String`

    - #### setSV

          public void setSV(String value)

      Sets the value of the sv property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSL

          public String getSL()

      Gets the value of the sl property.
      Returns:
        possible object is `String`

    - #### setSL

          public void setSL(String value)

      Sets the value of the sl property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDN

          public String getDN()

      Gets the value of the dn property.
      Returns:
        possible object is `String`

    - #### setDN

          public void setDN(String value)

      Sets the value of the dn property.
      Parameters:
        `value` - allowed object is `String`

    - #### getL

          public String getL()

      Gets the value of the l property.
      Returns:
        possible object is `String`

    - #### setL

          public void setL(String value)

      Sets the value of the l property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSNURSE 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.